*****************************************************.
*****   Rechenbeispiel Knoke/Burke    ******.
*****************************************************.
DATA LIST/ age 1, per 3, homi 5,  anz 6-12.
BEGIN DATA
1 1 1    62
1 2 1    75
1 3 1    86
1 4 1   151
1 5 1   171
2 1 1   118
2 2 1   136
2 3 1   142
2 4 1   229
2 5 1   255
3 1 1   124
3 2 1   119
3 3 1   136
3 4 1   193
3 5 1   222
4 1 1   108
4 2 1   106
4 3 1   109
4 4 1   155
4 5 1   169
5 1 1    94
5 2 1    88
5 3 1    91
5 4 1   125
5 5 1   134
6 1 1    77
6 2 1    68
6 3 1    71
6 4 1    96
6 5 1   102
7 1 1    61
7 2 1    57
7 3 1    55
7 4 1    73
7 5 1    74
1 1 2999938
1 2 2999925
1 3 2999914
1 4 2999849
1 5 2999829
2 1 2999882
2 2 2999864
2 3 2999858
2 4 2999771
2 5 2999745
3 1 2999876
3 2 2999881
3 3 2999864
3 4 2999807
3 5 2999778
4 1 2999892
4 2 2999894
4 3 2999891
4 4 2999845
4 5 2999831
5 1 2999906
5 2 2999912
5 3 2999909
5 4 2999875
5 5 2999866
6 1 2999923
6 2 2999932
6 3 2999929
6 4 2999904
6 5 2999898
7 1 2999939
7 2 2999943
7 3 2999945
7 4 2999927
7 5 2999926
END DATA.
var lab age 'Alter' / per 'Periode'  / homi 'Mord' / anz 'Hufigkeit'.
val lab age 1 '15-19' 2 '20-24'3 '25-29' 4 '30-34' 5 '35-39' 6 '40-44' 7 '45-49'
  / per 1 '1952-56' 2 '1957-61' 3 '1962-67' 4 '1968-71' 5 '1971-76'
  /homi 1 'ja' 2 'nein'.
compute anz = anz / 10.
weight by anz.
*******************************************************************************.
**********  Einfache. zweidimensionale Kreuztabelle. Tabelle 1   ******.
*******************************************************************************.
cross tab = age by per by homi.
*******************************************************************************.
**********                         Kohortenanalyse                              ******.
*******************************************************************************.
compute kohor =per-age + 7.
cross tab = kohor by age by per by homi.
*****  Alter-Periode-Kohorten-Design   *************.
Recode homi (1=1) (2=-1) into h.
Recode age (1=1)(else = 0) into A1.
Recode age (2=1)(else = 0) into A2.
Recode age (3=1)(else = 0) into A3.
Recode age (4=1)(else = 0) into A4.
Recode age (5=1)(else = 0) into A5.
Recode age (6=1)(else = 0) into A6.
Recode age (7=1)(else = 0) into A7.
Recode per (1=1)(else = 0) into P1.
Recode per (2=1)(else = 0) into P2.
Recode per (3=1)(else = 0) into P3.
Recode per (4=1)(else = 0) into P4.
Recode per (5=1)(else = 0) into P5.
Recode kohor (1=1) (else = 0) into K1.
Recode kohor (2=1) (else = 0) into K2.
Recode kohor (3=1) (else = 0) into K3.
Recode kohor (4=1) (else = 0) into K4.
Recode kohor (5=1) (else = 0) into K5.
Recode kohor (6=1) (else = 0) into K6.
Recode kohor (7=1) (else = 0) into K7.
Recode kohor (8=1) (else = 0) into K8.
Recode kohor (9=1) (else = 0) into K9.
Recode kohor (10=1) (else = 0) into K10.
Recode kohor (11=1) (else = 0) into K11.
*** Alter mit A1 = Referenz.
compute a2 = a2 - a1.
compute a3 = a3 - a1.
compute a4 = a4 - a1.
compute a5 = a5 - a1.
compute a6 = a6 - a1.
compute a7 = a7 - a1.
*Periode mit P5 = Referenz.
compute p1 = p1 - p5.
compute p2 = p2 - p5.
compute p3 = p3 - p5.
compute p4 = p4 - p5.
*Kohorte mit K11 = Referenz.
compute k1 = k1 - k11.
compute k2 = k2 - k11.
compute k3 = k3 - k11.
compute k4 = k4 - k11.
compute k5 = k5 - k11.
compute k6 = k6 - k11.
compute k7 = k7 - k11.
compute k8 = k8 - k11.
compute k9 = k9 - k11.
compute k10 = k10 - k11.
* Interaktion Alter * Homicid - Restriktion: A6h = a7h.
compute a2h = a2 * h.
compute a3h = a3 * h.
compute a4h = a4 * h.
compute a5h = a5 * h.
compute a6h = a6 * h.
compute a7h = a7 * h.
compute a67h = a6h + a7h.
* Interaktion: Alter * Periode.
compute a2p1 = a2 * p1.
compute a2p2 = a2 * p2.
compute a2p3 = a2 * p3.
compute a2p4 = a2 * p4.
compute a3p1 = a3 * p1.
compute a3p2 = a3 * p2.
compute a3p3 = a3 * p3.
compute a3p4 = a3 * p4.
compute a4p1 = a4 * p1.
compute a4p2 = a4 * p2.
compute a4p3 = a4 * p3.
compute a4p4 = a4 * p4.
compute a5p1 = a5 * p1.
compute a5p2 = a5 * p2.
compute a5p3 = a5 * p3.
compute a5p4 = a5 * p4.
compute a6p1 = a6 * p1.
compute a6p2 = a6 * p2.
compute a6p3 = a6 * p3.
compute a6p4 = a6 * p4.
compute a7p1 = a7 * p1.
compute a7p2 = a7 * p2.
compute a7p3 = a7 * p3.
compute a7p4 = a7 * p4.
*Interaktion Periode * Mord.
compute p1h = p1 * h.
compute p2h = P2 * h.
compute p3h = p3 * h.
compute p4h = p4 * h.
* Interaktion Kohorte * Mord.
compute k1h = k1 * h.
compute k2h = k2 * h.
compute k3h = k3 * h.
compute k4h = k4 * h.
compute k5h = k5 * h.
compute k6h = k6 * h.
compute k7h = k7 * h.
compute k8h = k8 * h.
compute k9h = k9 * h.
compute k10h = k10 * h.
Genlog age, per, homi with  a2, a3 a4, a5, a6, a7, p1, p2, p3, p4, h, a2h, a3h, a4h, a5h, a67h,
   a2p1, a2p2, a2p3, a2p4, a3p1, a3p2, a3p3, a3p4, a4p1, a4p2, a4p3, a4p4, a5p1, a5p2, a5p3, a5p4, a6p1, a6p2, a6p3, a6p4, a7p1, a7p2, a7p3, a7p4,
   p1h, p2h, p3h, p4h, k1h, k2h, k3h, k4h, k5h, k6h, k7h, k8h, k9h, k10h / model = multinomial  /print = estim /  plot = none / crit = delta (.0)
   / design = a2, a3 a4, a5, a6, a7, p1, p2, p3, p4, h, a2h, a3h, a4h, a5h, a67h,
   a2p1, a2p2, a2p3, a2p4, a3p1, a3p2, a3p3, a3p4, a4p1, a4p2, a4p3, a4p4, a5p1, a5p2, a5p3, a5p4, a6p1, a6p2, a6p3, a6p4, a7p1, a7p2, a7p3, a7p4,
   p1h, p2h, p3h, p4h, k1h, k2h, k3h, k4h, k5h, k6h, k7h, k8h, k9h, k10h .
******************************************************.
Genlog homi, per age with kohor / model = multinomial
  /print = estim, freq, des /  plot = none / crit = delta (.0)
  / design = per, age, kohor, per by age, per by kohor, age by kohor,
    homi, age by homi, per by homi, kohor by homi.
*****************************************************.
